/* 
 * File:   Analy.h
 * Author: xyang
 *
 * Created on December 7, 2009, 9:26 AM
 */

#ifndef _ANALY_H
#define	_ANALY_H

#include "util.h"
#include "fasta_file.hpp"
#include "Kmer.h"
#include "Seq.h"

typedef std::vector<kc_t> kcvec_t;

class Analy {
protected:
    kcvec_t KArray_;
    iu64map_t q2cnt_;  //quality score hist
    void kmerHist(const std::string& filename, int Qthreshold);
public:
    Analy();
    Analy(const Analy& orig);
    virtual ~Analy();

    void run(const Para& myPara);
    void mergeKInfo(const Seq& mySeq, kcvec_t& TargetArray,
                    const kcvec_t& sourceArray, int qFlag);
    void printKID2Cnt(const Para& myPara);
};

#endif	/* _ANALY_H */

