/* 
 * File:   main.cpp
 * Author: lx
 *
 * Created on December 5, 2009, 8:21 PM
 */

#include "util.h"
#include "Seq.h"
#include "Kmer.h"
#include "Analy.h"

/*
 * to do: draw kmer Histogram
 *
 * Two Main Functionality:
 * 1. generate Kmer statistics, i.e. kmer --> cnt
 *  Can do for both genomes and short reads file
 * 2. If short reads file is present, by default Quality score file
 *  need be specified, Generate Qual Histogram, and for a given
 *  estimated MaxErr Rate [MaxER], derive a Threshold [QualThreshold] of
 *  Quality score, such that approx. MaxER*100% bp are below [QualThreshold]
 *
 * Note: 1. For short reads, k-mers with non-ACGT letters are ignored
 *       For Genome, pre-process is applied initially to break Genome into
 *       pieces using "N(n)"s, so only acgt remains
 *       2. The alphabet is brought down to lower case
 */
int main(int argc, char** argv) {

    Para myPara(argc, argv);

    Analy myAnaly;

    myAnaly.run(myPara);

    std::cout << "\nProgram finished successfully!\n\n";
    return (EXIT_SUCCESS);
}

